pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZRGBA &p) const
void | get (const pcl::PointXYZRGBA &p, float &intensity) const
void | set (pcl::PointXYZRGBA &p, float intensity) const
void | demean (pcl::PointXYZRGBA &p, float value) const
void | add (pcl::PointXYZRGBA &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >

Definition at line 158 of file intensity.hpp.

## Member Function Documentation

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::add | ( | pcl::PointXYZRGBA & | p,
|  | float | value
| ) |  | const

inline

Definition at line 189 of file intensity.hpp.

References pcl::common::IntensityFieldAccessor< PointT >::operator()().

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::demean | ( | pcl::PointXYZRGBA & | p,
|  | float | value
| ) |  | const

inline

Definition at line 181 of file intensity.hpp.

References pcl::common::IntensityFieldAccessor< PointT >::operator()().

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::get | ( | const pcl::PointXYZRGBA & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 167 of file intensity.hpp.

float pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::operator() | ( | const pcl::PointXYZRGBA & | p | ) | const

inline

Definition at line 161 of file intensity.hpp.

void pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::set | ( | pcl::PointXYZRGBA & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 173 of file intensity.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/impl/intensity.hpp